import { ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Editor } from '@tiptap/core';
export declare class EditorDirective implements OnInit, ControlValueAccessor, OnDestroy {
    private el;
    private _renderer;
    editor: Editor;
    outputFormat: 'json' | 'html';
    constructor(el: ElementRef<HTMLElement>, _renderer: Renderer2);
    private onChange;
    private onTouched;
    writeValue(value: Record<string, unknown> | string | null): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    private handleChange;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
